# PSF-LoginServer - master - net.psforever.objects.vital.interaction.DamageInteraction
PSF - LoginServer - master - net.psforever.objects.vital.interaction.DamageInteraction
Keywords: PSF LoginServer master net.psforever.objects.vital.interaction.DamageInteraction

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package interaction
  Definition Classes
    vital
- Adversarial
- DamageInteraction
- DamageResult

c

net.psforever.objects.vital.interaction

# DamageInteraction 

###
Companion object DamageInteraction

#### final case class DamageInteraction(target: SourceEntry, hitPos: Vector3, cause: DamageReason, resolution: base.DamageResolution.Value, hitTime: Long = System.currentTimeMillis()) extends Product with Serializable

The recorded encounter of a damage source and a damageable target.

target

  the original affected target; not necessarily the currently affected target

hitPos

  the coordinate location where the damage was inflicted

cause

  the method by which the damage was produced

resolution

  how the damage is being processed

hitTime

  when the interaction originally occurred; defaults to `System.currentTimeMills()` at object creation

Source
  DamageInteraction.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageInteraction
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DamageInteraction(target: SourceEntry, hitPos: Vector3, cause: DamageReason, resolution: base.DamageResolution.Value, hitTime: Long = System.currentTimeMillis())

   target

     the original affected target; not necessarily the currently affected target

   hitPos

     the coordinate location where the damage was inflicted

   cause

     the method by which the damage was produced

   resolution

     how the damage is being processed

   hitTime

     when the interaction originally occurred; defaults to `System.currentTimeMills()` at object creation

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def adversarial: Option[Adversarial]

   If the cause of the original interaction can be attributed to some agency.

   If the cause of the original interaction can be attributed to some agency.

   returns

     a connection between offender, victim, and method

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def calculate(model: DamageAndResistance)(target: PlanetSideGameObject with FactionAffinity): DamageResult

   Process the primary parameters from the interaction in the context a custom damage processing method by which to temporarily reframe the interaction and produce a application function literal where the specified target entity can be applied to it.

   Process the primary parameters from the interaction in the context a custom damage processing method by which to temporarily reframe the interaction and produce a application function literal where the specified target entity can be applied to it.

   model

     the custom processing method

   target

     the target entity

   returns

     the outcome of the interaction under the given re-framing

7.  def calculate(dtype: base.DamageType.Value): Output

   Process the primary parameters from the interaction including a custom category of damage by which to temporarily reframe the interaction and produce the application function literal that can have a target entity applied to it.

   Process the primary parameters from the interaction including a custom category of damage by which to temporarily reframe the interaction and produce the application function literal that can have a target entity applied to it.

   returns

     the function that applies changes to a target entity

8.  def calculate(): Output

   Process the primary parameters from the interaction and produce the application function literal that can have a target entity applied to it.

   Process the primary parameters from the interaction and produce the application function literal that can have a target entity applied to it.

   returns

     the function that applies changes to a target entity

9.  val cause: DamageReason
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val hitPos: Vector3
15.  val hitTime: Long
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  val resolution: base.DamageResolution.Value
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  val target: SourceEntry
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped